<?php

function PrepareXML($data,$attributes,$parent_name='')
{
	foreach($data as $index=>$value)
	{
		if($attributes[$index])
			$attributes[$index] = ' '.$attributes[$index];
		if(is_numeric($index) && $parent_name)
			$this_index = $parent_name;
		else
			$this_index = $index;
		$return .= '<'.$this_index.' '.$attributes[$index].'>';
		if(is_array($value))
			$return .= PrepareXML($value,$attributes[$index],$index);
		else
			$return .= $value;
		$return .= '</'.$this_index.'>';
	}
	return $return;
}

?>